Page MenuHomePhabricator

Create specific classes for Wikibase extended values in RDF
Closed, ResolvedPublic

Description

As proposed by Markus in the email, we may want to create specific OWL class for each of the Wikibase extended value types - time, geo and quantity, along with generic wikibase:Value class. This may help queries as we may be able to query values of specific type (right now it's possible only by inferring the type from the presence of certain properties).

Event Timeline

Smalyshev raised the priority of this task from to Normal.
Smalyshev updated the task description. (Show Details)
Smalyshev added subscribers: Smalyshev, daniel, mkroetzsch.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2015, 12:38 AM
Smalyshev set Security to None.
Smalyshev moved this task from Needs triage to WDQS on the Discovery board.
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.May 15 2015, 1:45 PM
Lucie added a subscriber: Lucie.May 22 2015, 1:21 PM

Change 215690 had a related patch set uploaded (by Smalyshev):
T98810: add specific types for extended values

https://gerrit.wikimedia.org/r/215690

Change 215690 merged by jenkins-bot:
T98810: add specific types for extended values

https://gerrit.wikimedia.org/r/215690

daniel closed this task as Resolved.Jun 4 2015, 10:48 AM